<template>
  <div class="systemMonitoring_box">
    <div id="gauge_chart1"></div>
  </div>
</template>

<script>
export default {
  data() {
    //这里存放数据
    return {};
  },
  //方法集合
  methods: {
    gaugeChart1() {
      const colors = ["#91CC75", "#EE6666"];
      let option = {
        color: colors,
        tooltip: {
          trigger: "axis",
          //   axisPointer: {
          // type: "cross",
          //   },
        },
        grid: {
          top: "10%", //grid 组件离容器左侧的距离
          left: "10%", //grid 组件离容器左侧的距离
          right: "30px", //grid 组件离容器右侧的距离
          bottom: "60%", //grid 组件离容器下边距的距离
        },
        // legend: {
        //   data: ["人员", "资金"],
        // },
        xAxis: [
          {
            nameLocation: "middle",
            type: "category",
            axisLabel: {
              interval: 0,
              // rotate: 60,
              textStyle: {
                color: "#fff",
                fontSize: 10,
              },
              formatter: function (value) {
                return value.split("").join("\n");
              },
            },
            // axisTick: {
            //   alignWithLabel: false,
            // },
            data: [
              "中俄东线管道工程南段",
              "中俄东线管道工程中段",
              "广州站",
              "唐山LNG",
              "新疆连木沁站场",
              "中缅天然气管道风险排查航空摄影测量",
              "宁强至安康段天然气管道工程",
              "中缅油气管道数字化恢复测量成果",
              "QZ天然气（成品油）管道工程",
              "西气东输高后果区风险排查项目",
              "管道公司漠大线坐标转换及中心线外业测绘项目",
              "山东管网西干线项目",
              "北京燃气南港LNG应急储备项目外输管道工程",
              "西气东输三线中段管道工程",
              "中哈液化石油气跨境管道项目",
            ],
          },
        ],
        yAxis: [
          {
            type: "value",
            name: "人员",
            position: "right",
            alignTicks: true,
            min: 0, // 起始
            max: 180, // 终止
            axisLine: {
              show: true,
              lineStyle: {
                color: colors[0],
              },
            },
            axisLabel: {
              formatter: "{value}",
            },
          },
          {
            type: "value",
            name: "资金(万)",
            position: "left",
            alignTicks: true,
            min: 0, // 起始
            max: 1200, // 终止
            axisLine: {
              show: true,
              lineStyle: {
                color: colors[1],
              },
            },
            axisLabel: {
              formatter: "{value} ",
            },
          },
        ],
        series: [
          {
            name: "人员",
            type: "bar",
            data: [
              50, 60, 40, 100, 30, 50, 40, 60, 45, 30, 54, 30, 50, 150, 120,
            ],
          },
          {
            name: "资金",
            type: "bar",
            yAxisIndex: 1,
            data: [
              800, 600, 1000, 500, 500, 400, 300, 850, 400, 300, 260, 150, 300,
              900, 450,
            ],
          },
        ],
      };
      let myChart = this.$echarts.init(document.getElementById("gauge_chart1"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
  },
  mounted() {
    this.gaugeChart1();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.systemMonitoring_box {
  padding: 5px;
  background: rgba(0, 0, 0, 0.6);
  #gauge_chart1 {
    width: 100%;
    height: 100%;
  }
}
</style>
